\environment entorn

\starttext

\startsubject[title={Teorema de Pitàgores}]

\startsubsubject[title={Preguntes}]

<%

exercicis = Hash.new

%>

<%# Exercici 1 %>
<%
  exercicis[1] = Array.new

  parametres = Hash.new
  parametres['a'] = rand(1..20)
  parametres['b'] = parametres['a'] + rand(1..10)
  exercicis[1].push(parametres)
%>

\startexercici[reference=exercici-1] Trobeu els costats que falten d'aquest triangle rectangle (figura~\in[fig:pitagores-1]), usant el teorema de Pitàgores, i calculeu el seu perímetre i la seva àrea:

\startplacefigure[location=force, reference=fig:pitagores-1, title={Triangle rectangle amb un costat desconegut}]
    \bTABLE[frame=off, align={middle, lohi}]
    \bTR
    \bTD
    \starttikzpicture[scale=1]
      \filldraw[color=blue!30, thick] (0,0) -- (2,0) -- (0,3) -- cycle;
      \draw[thick] (0,0) -- (2,0) -- (0,3) -- cycle;
      \draw (1,0) node[anchor=north] {$<%=parametres['a']%> \unit{centi meter}$};
      \draw (0,1.5) node[anchor=east] {$<%=parametres['b']%> \unit{centi meter}$};
     \stoptikzpicture
    \eTD
    \eTR
    \eTABLE
\stopplacefigure

\stopexercici


<%# Exercici 2 %>
<%
exercicis[2] = Array.new

  parametres = Hash.new
  parametres['a'] = rand(1..20)
  exercicis[2].push(parametres)
%>

\startexercici[reference=exercici-2] Trobeu els costats que falten d'aquest triangle rectangle (figura~\in[fig:pitagores-2]), usant el teorema de Pitàgores, i calculeu el seu perímetre i la seva àrea:

\startplacefigure[location=force, reference=fig:pitagores-2, title={Triangle rectangle amb un costat desconegut}]
    \bTABLE[frame=off, align={middle, lohi}]
    \bTR
    \bTD
    \starttikzpicture[scale=1]
      \filldraw[color=green!30, thick] (0,0) -- (5,0) -- (0,2) -- cycle;
      \draw[thick] (0,0) -- (5,0) -- (0,2) -- cycle;
      \draw (2.5,0) node[anchor=north] {$<%=91*parametres['a']%> \unit{meter}$};
      \draw (2.5,1) node[anchor=south west] {$<%=109*parametres['a']%> \unit{meter}$};
     \stoptikzpicture
    \eTD
    \eTR
    \eTABLE
\stopplacefigure

<%# solució a*(60, 91, 109) %>
\stopexercici




<%# Exercici 3 %>
<%
exercicis[3] = Array.new

  parametres = Hash.new
  parametres['a'] = rand(1..20)
  exercicis[3].push(parametres)
%>

\startexercici[reference=exercici-3]: Un triangle isòsceles que descansa sobre el costat desigual té la base igual a $<%=parametres['a']%> \unit{centi meter}$ i els costats iguals fan $<%=2*parametres['a'] + 3%> \unit{centi meter}$. \startitemize[a, text] \item Dibuixeu aquest triangle de forma aproximada \item Trobeu la seva àrea i el seu perímetre \stopitemize
\stopexercici

\stopsubsubject

<%# ----------------------- Solucions ------------------------ %>
\page[yes]
\startsubsubject[title={Solucions}]

\startitemize
\sym{\in[exercici-1]}
<% exercicis[1].each do |par| %>
<%
  hipotenusa = Math.sqrt(par['a'].pow(2) + par['b'].pow(2))
%>
\startitemize[a, text] \item El costat desconegut (la hipotenusa) és aproximadament igual a $<%= hipotenusa.round(3) %> \unit{centi meter}$ \item El perímetre del triangle és igual a $<%=(hipotenusa + par['a'] + par['b']).round(3) %> \unit{centi meter}$ \item L'àrea és $<%= Rational(par['a']*par['b'],2).to_f.round(3) %> \unit{square centi meter}$\stopitemize
<% end %>

\sym{\in[exercici-2]} 
<% exercicis[2].each do |par| %>
<%
  catet = 60*par['a']
%>
\startitemize[a, text] \item El costat desconegut (un catet) és igual a $<%= catet %> \unit{meter}$ \item El perímetre del triangle és $<%=(catet + 91*par['a'] + 109*par['a']) %>  \unit{meter}$ \item L'àrea és $<%= Rational(60*91*par['a']*par['a'],2).to_i %> \unit{square meter}$ \stopitemize
<% end %>

\sym{\in[exercici-3]}
<% exercicis[3].each do |par| %>
<%
  altura = Math.sqrt(3.75*par['a'].pow(2) + 12*par['a'] + 9)
%>
\startitemize[a]
\item Aproximadament, el dibuix del triangle és aquest (figura~\in[fig:solucio-pitagores-3])

\startplacefigure[location=force, reference=fig:solucio-pitagores-3, title={Forma aproximada del triangle isòsceles descrit}]
    \bTABLE[frame=off, align={middle, lohi}]
    \bTR
    \bTD
    \starttikzpicture[scale=0.4]
      \filldraw[color=red!30, thick] (0,0) -- (5,0) -- (2.5,8) -- cycle;
      \draw[thick] (0,0) -- (5,0) -- (2.5,8) -- cycle;
      \draw (2.5,0) node[anchor=north] {$<%=par['a']%> \unit{centi meter}$};
      \draw (1.25,4) node[anchor=east] {$<%=2*par['a']+3%> \unit{centi meter}$};
      \draw (3.75,4) node[anchor=west] {$<%=2*par['a']+3%> \unit{centi meter}$};
     \stoptikzpicture
    \eTD
    \eTR
    \eTABLE
\stopplacefigure

\item Per a calcular l'àrea necessitem calcular la seva altura: $h = <%=altura.round(3)%> \unit{centi meter}$. De manera que la seva àrea és $<%= Rational(par['a']*altura,2).to_f.round(3) %> \unit{square centi meter}$. El perímetre és $<%= 5*par['a'] + 6 %> \unit{centi meter}$.
\stopitemize

<% end %>

\stopitemize

\vfill
Les solucions d'aquests exercicis s'han calculat automàticament usant programari lliure: encara que totes les expressions són correctes, potser algunes es poden simplificar més.

\stopsubsubject

<%# ----------------------- Resolució ------------------------ %>
\page[yes]
\startsubsubject[title={Resolució}]

\startitemize
\sym{\in[exercici-1]}
<% exercicis[1].each do |par| %>
<%
  hipotenusa = Math.sqrt(par['a'].pow(2) + par['b'].pow(2))
%>
\startitemize[a, text] \item El triangle és un triangle rectangle. El costat desconegut és la hipotenusa. Sabem les mesures dels dos catets. Per tant, aplicant el teorema de Pitàgores, tenim que:
\startformula
\startmathalignment[n=1, align=left]
\NC a^2 = b^2 + c^2 \NR
\NC a^2 = <%=par['a']%>^2 + <%=par['b']%>^2 \NR
\NC a^2 = <%=par['a'].pow(2)%> + <%=par['b'].pow(2)%> \NR
\NC a = \sqrt{<%=par['a'].pow(2)%> + <%=par['b'].pow(2)%>} \NR
\NC a = \sqrt{<%=par['a'].pow(2) + par['b'].pow(2)%>} \NR
\NC a = <%=Math.sqrt(par['a'].pow(2) + par['b'].pow(2)).round(3)%> \NR
\stopmathalignment
\stopformula

Per tant, la hipotenusa mesura, aproximadament, $<%= hipotenusa.round(3) %> \unit{centi meter}$ \item El perímetre del triangle és igual a la suma dels seus costats, és a dir, a $<%=hipotenusa.round(3)%> + <%=par['a']%> + <%=par['b']%> = <%=(hipotenusa + par['a'] + par['b']).round(3) %> \unit{centi meter}$ \item L'àrea és $\frac{\text{base} \cdot \text{altura}}{2} = \frac{<%=par['a']%> \cdot <%=par['b']%>}{2} = <%= Rational(par['a']*par['b'],2).to_f.round(3) %> \unit{square centi meter}$\stopitemize
<% end %>

\sym{\in[exercici-2]} 
<% exercicis[2].each do |par| %>
<%
  catet = 60*par['a']
%>
\startitemize[a, text] \item En aquest cas tenim un triangle rectangle de catet desconegut:
\startformula
\startmathalignment[n=1, align=left]
\NC <%= par['a']*109 %>^2 = <%= par['a']*91 %>^2 + c^2 \NR
\NC <%= (par['a']*109).pow(2) %> = <%= (par['a']*91).pow(2) %> + c^2 \NR
\NC <%= (par['a']*109).pow(2) %> - <%= (par['a']*91).pow(2) %> = c^2 \NR
\NC <%= (par['a']*109).pow(2) - (par['a']*91).pow(2) %> = c^2 \NR
\NC c = \sqrt{<%= (par['a']*109).pow(2) - (par['a']*91).pow(2) %>} \NR
\NC c = <%=Math.sqrt((par['a']*109).pow(2) - (par['a']*91).pow(2)).to_i%> \NR
\stopmathalignment
\stopformula
Per tant, el costat desconegut mesura $<%= catet %> \unit{meter}$ \item El perímetre del triangle és igual $<%=catet%> + <%=91*par['a']%> + <%=109*par['a']%> = <%=(catet + 91*par['a'] + 109*par['a']) %> \unit{meter}$ \item L'àrea és $\frac{\text{base}\cdot \text{altura}}{2} = \frac{<%=par['a']*91%>\cdot <%=60*par['a']%>}{2} = <%= Rational(60*91*par['a']*par['a'],2).to_i %> \unit{square meter}$ \stopitemize
<% end %>

\sym{\in[exercici-3]}
<% exercicis[3].each do |par| %>
<%
  altura = Math.sqrt(3.75*par['a'].pow(2) + 12*par['a'] + 9)
%>
\startitemize[a]
\item Aproximadament, el dibuix del triangle és aquest (figura~\in[fig:resolucio-pitagores-3a]). Hem ampliat el triangle xapat per la meitat (figura~\in[fig:resolucio-pitagores-3b]).

\startplacefigure[location=force, reference=fig:resolucio-pitagores-3a, title={Forma aproximada del triangle isòsceles descrit}]
    \bTABLE[frame=off, align={middle, lohi}]
    \bTR
    \bTD
    \starttikzpicture[scale=0.4]
      \filldraw[color=red!30, thick] (0,0) -- (5,0) -- (2.5,8) -- cycle;
      \draw[thick] (0,0) -- (5,0) -- (2.5,8) -- cycle;
      \draw (2.5,0) node[anchor=north] {$<%=par['a']%> \unit{centi meter}$};
      \draw (1.25,4) node[anchor=east] {$<%=2*par['a']+3%> \unit{centi meter}$};
      \draw (3.75,4) node[anchor=west] {$<%=2*par['a']+3%> \unit{centi meter}$};
      \draw (2.5,4) node[anchor=west] {$h$};
      \draw[dashed] (2.5,0) -- (2.5, 8);
     \stoptikzpicture
    \eTD
    \eTR
    \eTABLE
\stopplacefigure

\startplacefigure[location=force, reference=fig:resolucio-pitagores-3b, title={Triangle isòsceles xapat per la meitat}]
    \bTABLE[frame=off, align={middle, lohi}]
    \bTR
    \bTD
    \starttikzpicture[scale=0.5]
      \filldraw[color=red!30, thick] (0,0) -- (2.5,0) -- (0,8) -- cycle;
      \draw[thick] (0,0) -- (2.5,0) -- (0,8) -- cycle;
      \draw (1.25,0) node[anchor=north] {$<%=(par['a']).fdiv(2)%> \unit{centi meter}$};
      \draw (1.25,4) node[anchor=west] {$<%=2*par['a']+3%> \unit{centi meter}$};
      \draw (0,4) node[anchor=east] {$h$};
     \stoptikzpicture
    \eTD
    \eTR
    \eTABLE
\stopplacefigure

\item Per a calcular l'àrea necessitem calcular la seva altura:
\startformula
\startmathalignment[n=1, align=left]
\NC <%= 2*par['a']+3 %>^2 = <%= par['a'].fdiv(2) %>^2 + h^2 \NR
\NC <%= (2*par['a']+3).pow(2) %> = <%= (par['a'].fdiv(2))**2 %> + h^2 \NR
\NC <%= (2*par['a']+3).pow(2) %> - <%= (par['a'].fdiv(2))**2 %> =  h^2 \NR
\NC <%= (2*par['a']+3).pow(2) - (par['a'].fdiv(2))**2 %> =  h^2 \NR
\NC h = \sqrt{<%= (2*par['a']+3).pow(2) - (par['a'].fdiv(2))**2 %>} \NR
\NC h = <%= Math.sqrt((2*par['a']+3).pow(2) - (par['a'].fdiv(2))**2).round(3) %> \NR
\stopmathalignment
\stopformula

Per tant, $h = <%=altura.round(3)%> \unit{centi meter}$. De manera que la seva àrea és $\frac{<%=par['a']%> \cdot <%=altura.round(3)%>}{2} = <%= Rational(par['a']*altura,2).to_f.round(3) %> \unit{square centi meter}$. El perímetre és $<%= 2*par['a'] +3 %> + <%= 2*par['a'] + 3%> + <%=par['a']%> = <%= 5*par['a'] + 6 %> \unit{centi meter}$.
\stopitemize

<% end %>

\stopitemize

\vfill
La resolució d'aquests exercicis s'ha calculat automàticament usant programari lliure: encara que totes les expressions són correctes, potser algunes es poden simplificar més.

\stopsubsubject

\stopsubject

\stoptext
